Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Restart Flink Job

Restart a cancelled or failed Flink job.

POST/flink_jobs/{job_id}/restart
Authorization
AuthorizationBearer token · headerrequired
Path parameters
job_idstringrequired
Responses
200

Successful Response

_idstringrequired
namestringrequired
job_typeapp__models__api__flink_jobs_api_models__FlinkJobTypeEnumrequired
Allowed:pyflinkjar
statusFlinkJobStatusEnumrequired
Allowed:CREATEDDEPLOYINGRUNNINGCANCELLINGCANCELLEDFAILEDFINISHED
flink_job_namestringrequired
flink_job_idstring | null
Show properties
Any of:
string
string
null
null
parallelisminteger
default: 1
created_bystring | null
Show properties
Any of:
string
string
null
null
created_timestampstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
updated_timestampstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST 'https://api.streamkap.com/flink_jobs/string/restart' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "_id": "string",
  "name": "string",
  "job_type": "pyflink",
  "status": "CREATED",
  "flink_job_name": "string",
  "flink_job_id": "string",
  "parallelism": 1,
  "created_by": "string",
  "created_timestamp": "2019-08-24T14:15:22Z",
  "updated_timestamp": "2019-08-24T14:15:22Z"
}